@import 'config';
@import 'utilities';
@import 'form';

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1rem;
  line-height: 1.6;
  background-color: white;
  color: black;
  height: 100%;
}

a {
  text-decoration: none;
  color: $primary-color;
}

ul {
  list-style: none;
}

img {
  width: 100%;
}

i.fas {
  margin-left: 1rem;
  margin-right: 1rem;
  line-height: 2;
}
.wrapper {
  display: flex;
  align-items: stretch;
  height: 100%;
}
#sidebar {
  max-width: 240px;
  min-width: 240px;
  min-height: 120vh;
  position: absolute;
  background-color: blue;
  z-index: 100;
}
.hide-menu {
  transition: 0.5s ease-in-out;
  transform: translateX(-100%);
}

.show-menu {
  transition: 0.5s ease-in-out;
  transform: translateX(0);
}
#content {
  width: 100%;
}
.navbar {
  align-items: center;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.7rem 2 rem;
  padding-top: 12px;
  padding-bottom: 12px;
  z-index: 1;
  width: 100%;
  top: 0;
  height: fit-content;

  // border-bottom: solid 1px $primary-color;
  // opacity: 0.9;
  ul {
    display: flex;
  }

  a {
    color: unset;
    padding: 0.45rem;
    margin: 0 0.25rem;

    // &:hover {
    //   color: $primary-color;
    // }
  }
}
//landing
.landing {
  position: relative;
  // background: url('../img/Laptop-Typing-Coding.jpg') no-repeat center
  //   center/cover;
  height: 100vh;

  // &-inner {
  //   color: white;
  height: 100%;
  //   display: flex;
  //   flex-direction: column;
  //   width: 80%;
  //   margin: auto;
  //   align-items: center;
  //   justify-content: center;
  //   text-align: center;
  // }
}
